Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter O : nat.
Parameter filter_nat_type : forall (return_:Type), (nat -> return_) -> nat -> return_.
Axiom axiom_filter_nat_type_O : forall return_type, forall (return_:(nat -> return_type)), connectives.equal (return_type) (filter_nat_type (return_type) return_ O) (return_ O).
Definition eq_filter_nat_type_O : forall return_type, forall (return_:(nat -> return_type)), leibniz.leibniz (return_type) (filter_nat_type (return_type) return_ O) (return_ O) := fun (return_type:Type) => fun (return_:nat -> return_type) => ((((connectives.equal_leibniz) (return_type)) (filter_nat_type (return_type) return_ O)) (return_ O)) (((axiom_filter_nat_type_O) (return_type)) (return_)).
